package com.sifang.modules.taskdispatch.service.autod.vo;

import java.util.Date;
import java.util.Objects;

public class ItemTask {
    private String itemId;
    private String formKey;
    private String province;
    private String city;
    private Date createTime;
    private String preferUserId;
    private boolean cachedTask = true;

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getFormKey() {
        return formKey;
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPreferUserId() {
        return preferUserId;
    }

    public void setPreferUserId(String preferUserId) {
        this.preferUserId = preferUserId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof ItemTask)) return false;
        ItemTask itemTask = (ItemTask) o;
        return Objects.equals(itemId, itemTask.itemId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(itemId);
    }

    public boolean isCachedTask() {
        return cachedTask;
    }

    public void setCachedTask(boolean cachedTask) {
        this.cachedTask = cachedTask;
    }
}
